Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
mud
/
worlds
/
{world}
/
systems
List of MUD world systems.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/systems \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/systems"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/systems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "address_hash": "<string>",
    "name": "<string>"
  }
]
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Response

List of MUD systems.

address_hash
string
required
Pattern: ^0x([A-Fa-f0-9]{40})$
name
string
required